# Register Free Stamps Account Every ShipStation API account receives a Free Stamps.com account which gives you deep discounts with USPS. In this step, we'll guide you through registering your free account and passing billing information to Stamps.com. > **WARNING:** You cannot link your accounts to the public test account, you'll need to use your own API key for testing. ## Initial Registration ### Example Request **POST /v1/registration/stamps_com** ```http POST /v1/registration/stamps_com HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "nickname": "My Stamps.com account", "email": "john.doe@example.com", "agree_to_carrier_terms" : true, "address": { "name": "John Doe", "phone": "111-111-1111", "company_name": "Example Corp.", "address_line1": "4009 Marathon Blvd", "address_line2": "Suite 300", "city_locality": "Austin", "state_province": "TX", "postal_code": "78756", "country_code": "US", "address_residential_indicator": "no" }, "credit_card": { "name": "my credit card", "number": "4111111111111111", "type": "Visa", "expiration_year": "2025", "expiration_month": "07" } } ``` All fields are required, except for `address_line2` and `company_name`. ### Example Response ```json { "carrier_id": "se-123890" } ``` ## Verify your Stamps.com account After you have finished the initial step of registering your Stamps.com account, you will need to complete your registration via phone verification. Please use the following endpoints. ### Example Request **POST /v1/connections/carriers/stamps_com/:carrier_id/verification** > **INFO:** Only sms verification supported initially ```http POST /v1/connections/carriers/stamps_com/:carrier_id/verification HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "phone": "5121112222", "verification_type": "sms" } ``` ### Example Response ``` { "phone": "5121112222", "verification_id": "vfn_base58encodedguid", "verification_method": "sms/voice", "status" : "unverified" } ``` You should receive a text message with your verification code. Take that and your `verification_id` and put it in the payload of the following call. ### Example Request **PUT /v1/connections/carriers/stamps_com/:carrier_id/verification/:verification_id** ```http PUT /v1/connections/carriers/stamps_com/:carrier_id/verification/:verification_id HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "verification_code": "__verification_code_goes_here__" } ``` ### Example Response ``` { "phone": "5121112222", "verification_id": "__verification_id_goes_here__", "verification_method": "sms", "status" : "verified" } ```